Bug 1621255 - [iscsi] purge-iscsi-gateways.yml should disable/stop all the iscsi services
Summary: [iscsi] purge-iscsi-gateways.yml should disable/stop all the iscsi services
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Red Hat Ceph Storage
Classification: Red Hat
Component: Ceph-Ansible
Version: 3.1
Hardware: Unspecified
OS: Unspecified
medium
medium
Target Milestone: rc
: 3.2
Assignee: Mike Christie
QA Contact: Manohar Murthy
Bara Ancincova
URL:
Whiteboard:
Depends On:
Blocks: 1629656 1584264
TreeView+ depends on / blocked
 
Reported: 2018-08-23 14:37 UTC by mkasturi
Modified: 2019-01-03 19:02 UTC (History)
16 users (show)

Fixed In Version: RHEL: ceph-ansible-3.2.0-0.1.rc2.el7cp Ubuntu: ceph-ansible_3.2.0~rc2-2redhat1
Doc Type: Bug Fix
Doc Text:
.Ansible now stops and disables the iSCSI gateway services when purging the Ceph iSCSI gateway Previously, the `ceph-ansible` utility did not stop and disable the Ceph iSCSI gateway services when using the `purge-iscsi-gateways.yml` playbook. Consequently, the services had to be stopped manually. The playbook has been improved, and the iSCSI services are now stopped and disabled as expected when purging the iSCSI gateway.
Clone Of:
Environment:
Last Closed: 2019-01-03 19:01:46 UTC


Attachments (Terms of Use)
ansible, services logs (1.20 MB, application/x-gzip)
2018-11-06 08:38 UTC, mkasturi
no flags Details


Links
System ID Priority Status Summary Last Updated
Red Hat Product Errata RHBA-2019:0020 None None None 2019-01-03 19:02:01 UTC
Github ceph ceph-ansible pull 3116 None None None 2018-10-02 17:14:32 UTC
Github ceph ceph-ansible pull 3303 None None None 2018-11-07 02:25:35 UTC

Comment 6 leseb 2018-10-25 11:07:57 UTC
Present in https://github.com/ceph/ceph-ansible/releases/tag/v3.2.0beta9

For the BZ, I believe it's better if you keep the assignment so if QA finds something then you will be alerted.
So if you fix something upstream in master AND backported in a stable branch AND a release (e,g: https://github.com/ceph/ceph-ansible/releases/tag/v3.2.0beta9) has the fix then you can the BZ to POST :).

Sounds good?
Thanks!

Comment 11 mkasturi 2018-11-06 08:38:59 UTC
Created attachment 1502314 [details]
ansible, services logs

Comment 22 errata-xmlrpc 2019-01-03 19:01:46 UTC
Since the problem described in this bug report should be
resolved in a recent advisory, it has been closed with a
resolution of ERRATA.

For information on the advisory, and where to find the updated
files, follow the link below.

If the solution does not work for you, open a new bug report.

https://access.redhat.com/errata/RHBA-2019:0020


Note You need to log in before you can comment on or make changes to this bug.